Skip to main content
GET
/
api
/
v1
/
chatbot
/
welcome-messages
/
{id}
Get welcome message by ID
curl --request GET \
  --url https://api.example.com/api/v1/chatbot/welcome-messages/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Schema-Name: <x-schema-name>' \
  --header 'X-Student-Admission-No: <x-student-admission-no>' \
  --header 'X-WhatsApp-Number: <x-whatsapp-number>'
{
  "intro_message": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_picture": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-KEY
string

API Key for authentication (alternative to session auth).

Example:

"sk_..."

X-Schema-Name
string
required

Tenant Schema Name

X-Student-Admission-No
string
required

Student Admission Number

X-WhatsApp-Number
string
required

Parent Phone Number

Path Parameters

id
string<uuid>
required

A UUID string identifying this Welcome Message.

Response

200 - application/json
intro_message
string
required
Maximum string length: 255
id
string<uuid>
display_picture
string<uri>
created_at
string<date-time>
updated_at
string<date-time>